/// <reference path="./TypeScript/DefinitelyTyped/angularjs/angular-cookies.d.ts" />
/// <reference path="./TypeScript/DefinitelyTyped/angularjs/angular.d.ts" />
/// <reference path="./TypeScript/DefinitelyTyped/jquery/jquery.d.ts" />
/// <reference path="./TypeScript/DefinitelyTyped/jqueryui/jqueryui.d.ts" />
/// <reference path="./TypeScript/DefinitelyTyped/pdf/pdf-tests.ts" />
/// <reference path="./TypeScript/DefinitelyTyped/pdf/pdf.d.ts" />
/// <reference path="./TypeScript/DefinitelyTyped/underscore/underscore.d.ts" />
/// <reference path="./TypeScript/Niva/Controllers/Agency.ts" />
/// <reference path="./TypeScript/Niva/Controllers/AgrisnapUsers.ts" />
/// <reference path="./TypeScript/Niva/Controllers/AgrisnapUsersSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/Classification.ts" />
/// <reference path="./TypeScript/Niva/Controllers/ClassificationSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/Classifier.ts" />
/// <reference path="./TypeScript/Niva/Controllers/CoverType.ts" />
/// <reference path="./TypeScript/Niva/Controllers/Cultivation.ts" />
/// <reference path="./TypeScript/Niva/Controllers/Dashboard.ts" />
/// <reference path="./TypeScript/Niva/Controllers/DashboardSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/DecisionMaking.ts" />
/// <reference path="./TypeScript/Niva/Controllers/DecisionMakingRO.ts" />
/// <reference path="./TypeScript/Niva/Controllers/DecisionMakingROSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/DecisionMakingSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/Document.ts" />
/// <reference path="./TypeScript/Niva/Controllers/EcGroup.ts" />
/// <reference path="./TypeScript/Niva/Controllers/EcGroupSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/FileDirPath.ts" />
/// <reference path="./TypeScript/Niva/Controllers/FileTemplate.ts" />
/// <reference path="./TypeScript/Niva/Controllers/FileTemplateSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/FmisUser.ts" />
/// <reference path="./TypeScript/Niva/Controllers/FmisUserSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/Integrateddecision.ts" />
/// <reference path="./TypeScript/Niva/Controllers/IntegrateddecisionSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovClassification.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovClassifier.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovCoverType.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovCultivation.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovDecisionMaking.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovEcGroup.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovFileTemplate.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovGpRequestsContexts.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovGpRequestsProducers.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovParcelClas.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovParcelsIssues.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovPredefCol.ts" />
/// <reference path="./TypeScript/Niva/Controllers/LovProducers.ts" />
/// <reference path="./TypeScript/Niva/Controllers/ParcelFMIS.ts" />
/// <reference path="./TypeScript/Niva/Controllers/ParcelFMISSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/ParcelGP.ts" />
/// <reference path="./TypeScript/Niva/Controllers/ParcelGPSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/ParcelsIssues.ts" />
/// <reference path="./TypeScript/Niva/Controllers/ParcelsIssuesSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/Producers.ts" />
/// <reference path="./TypeScript/Niva/Controllers/ProducersSearch.ts" />
/// <reference path="./TypeScript/Niva/Controllers/WelcomePage.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/AgencyBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/AgrisnapUsersBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/AgrisnapUsersSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ClassificationBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ClassificationSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ClassifierBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/CoverTypeBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/CultivationBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/DashboardBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/DashboardSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/DecisionMakingBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/DecisionMakingROBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/DecisionMakingROSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/DecisionMakingSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/DocumentBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/EcGroupBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/EcGroupSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/FileDirPathBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/FileTemplateBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/FileTemplateSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/FmisUserBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/FmisUserSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/IntegrateddecisionBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/IntegrateddecisionSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovClassificationBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovClassifierBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovCoverTypeBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovCultivationBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovDecisionMakingBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovEcGroupBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovFileTemplateBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovGpRequestsContextsBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovGpRequestsProducersBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovParcelClasBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovParcelsIssuesBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovPredefColBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/LovProducersBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ParcelFMISBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ParcelFMISSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ParcelGPBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ParcelGPSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ParcelsIssuesBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ParcelsIssuesSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ProducersBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/ProducersSearchBase.ts" />
/// <reference path="./TypeScript/Niva/ControllersBase/WelcomePageBase.ts" />
/// <reference path="./TypeScript/Niva/Entities/Agency.ts" />
/// <reference path="./TypeScript/Niva/Entities/AgrisnapUsers.ts" />
/// <reference path="./TypeScript/Niva/Entities/AgrisnapUsersProducers.ts" />
/// <reference path="./TypeScript/Niva/Entities/Classification.ts" />
/// <reference path="./TypeScript/Niva/Entities/Classifier.ts" />
/// <reference path="./TypeScript/Niva/Entities/CoverType.ts" />
/// <reference path="./TypeScript/Niva/Entities/Cultivation.ts" />
/// <reference path="./TypeScript/Niva/Entities/Dbmanagementlog.ts" />
/// <reference path="./TypeScript/Niva/Entities/DecisionMaking.ts" />
/// <reference path="./TypeScript/Niva/Entities/Document.ts" />
/// <reference path="./TypeScript/Niva/Entities/EcCult.ts" />
/// <reference path="./TypeScript/Niva/Entities/EcCultCopy.ts" />
/// <reference path="./TypeScript/Niva/Entities/EcCultDetail.ts" />
/// <reference path="./TypeScript/Niva/Entities/EcCultDetailCopy.ts" />
/// <reference path="./TypeScript/Niva/Entities/EcGroup.ts" />
/// <reference path="./TypeScript/Niva/Entities/EcGroupCopy.ts" />
/// <reference path="./TypeScript/Niva/Entities/ExcelError.ts" />
/// <reference path="./TypeScript/Niva/Entities/ExcelFile.ts" />
/// <reference path="./TypeScript/Niva/Entities/FileDirPath.ts" />
/// <reference path="./TypeScript/Niva/Entities/FileTemplate.ts" />
/// <reference path="./TypeScript/Niva/Entities/FmisDecision.ts" />
/// <reference path="./TypeScript/Niva/Entities/FmisUpload.ts" />
/// <reference path="./TypeScript/Niva/Entities/FmisUser.ts" />
/// <reference path="./TypeScript/Niva/Entities/GpDecision.ts" />
/// <reference path="./TypeScript/Niva/Entities/GpRequests.ts" />
/// <reference path="./TypeScript/Niva/Entities/GpRequestsContexts.ts" />
/// <reference path="./TypeScript/Niva/Entities/GpRequestsProducers.ts" />
/// <reference path="./TypeScript/Niva/Entities/GpUpload.ts" />
/// <reference path="./TypeScript/Niva/Entities/Integrateddecision.ts" />
/// <reference path="./TypeScript/Niva/Entities/ParcelClas.ts" />
/// <reference path="./TypeScript/Niva/Entities/ParcelDecision.ts" />
/// <reference path="./TypeScript/Niva/Entities/ParcelsIssues.ts" />
/// <reference path="./TypeScript/Niva/Entities/ParcelsIssuesActivities.ts" />
/// <reference path="./TypeScript/Niva/Entities/ParcelsIssuesStatusPerDema.ts" />
/// <reference path="./TypeScript/Niva/Entities/PredefCol.ts" />
/// <reference path="./TypeScript/Niva/Entities/Producers.ts" />
/// <reference path="./TypeScript/Niva/Entities/Statistic.ts" />
/// <reference path="./TypeScript/Niva/Entities/SuperClas.ts" />
/// <reference path="./TypeScript/Niva/Entities/SuperClassDetail.ts" />
/// <reference path="./TypeScript/Niva/Entities/Systemconfiguration.ts" />
/// <reference path="./TypeScript/Niva/Entities/TemplateColumn.ts" />
/// <reference path="./TypeScript/Niva/Entities/TmpBlob.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/AgencyBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/AgrisnapUsersBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/AgrisnapUsersProducersBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/ClassificationBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/ClassifierBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/CoverTypeBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/CultivationBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/DbmanagementlogBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/DecisionMakingBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/DocumentBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/EcCultBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/EcCultCopyBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/EcCultDetailBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/EcCultDetailCopyBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/EcGroupBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/EcGroupCopyBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/ExcelErrorBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/ExcelFileBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/FileDirPathBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/FileTemplateBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/FmisDecisionBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/FmisUploadBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/FmisUserBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/GpDecisionBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/GpRequestsBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/GpRequestsContextsBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/GpRequestsProducersBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/GpUploadBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/IntegrateddecisionBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/ParcelClasBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/ParcelDecisionBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/ParcelsIssuesActivitiesBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/ParcelsIssuesBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/ParcelsIssuesStatusPerDemaBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/PredefColBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/ProducersBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/StatisticBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/SuperClasBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/SuperClassDetailBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/SystemconfigurationBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/TemplateColumnBase.ts" />
/// <reference path="./TypeScript/Niva/EntitiesBase/TmpBlobBase.ts" />
/// <reference path="./TypeScript/Niva/globals.ts" />
/// <reference path="./TypeScript/Niva/globalsBase.ts" />
/// <reference path="./TypeScript/Niva/main.ts" />
/// <reference path="./TypeScript/Niva/messages.ts" />
/// <reference path="./TypeScript/Niva/Services/MainService.ts" />
/// <reference path="./TypeScript/Niva/ServicesBase/MainServiceBase.ts" />
/// <reference path="./TypeScript/Niva/version.ts" />
/// <reference path="./TypeScript/RTL/base64Utils.ts" />
/// <reference path="./TypeScript/RTL/Controllers/BaseController.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerChangePass.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerChooseExclusiveGeom.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerChooseFeature.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerChooseGeom.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerChooseLevel1Geom.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerChooseLevel2Geom.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerChooseSplitLine.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerExcelFileImportResultsDlg.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerExclusiveLayers.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerExportMap.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerHelp.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerHoles.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerInput.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerJump.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerLayers.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerLegend.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerLogin.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerLovRTL_Subscriber.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerMain.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerMenu.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerMsgBox.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerNpBreadcrumb.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerRequestAuthorization.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerSearchLayers.ts" />
/// <reference path="./TypeScript/RTL/Controllers/controllerWait.ts" />
/// <reference path="./TypeScript/RTL/directives.ts" />
/// <reference path="./TypeScript/RTL/Entities/RTL_Subscriber.ts" />
/// <reference path="./TypeScript/RTL/FileSaver.ts" />
/// <reference path="./TypeScript/RTL/geoLib.ts" />
/// <reference path="./TypeScript/RTL/nakedJavascript.ts" />
/// <reference path="./TypeScript/RTL/ng-grid-flexible-height.ts" />
/// <reference path="./TypeScript/RTL/ng-grid-layout.ts" />
/// <reference path="./TypeScript/RTL/NpMapCustomControls.ts" />
/// <reference path="./TypeScript/RTL/NpMapGlobals.ts" />
/// <reference path="./TypeScript/RTL/NpMapLayers.ts" />
/// <reference path="./TypeScript/RTL/npTypes.ts" />
/// <reference path="./TypeScript/RTL/openlayers3.d.ts" />
/// <reference path="./TypeScript/RTL/services.ts" />
/// <reference path="./TypeScript/RTL/sprintf.d.ts" />
/// <reference path="./TypeScript/RTL/utils.ts" />
/// <reference path="./TypeScript/RTL/validators.ts" />
/// <reference path="./TypeScript/TriggerSourceMap/dummy.ts" />
